package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 消息发送对象(办事群众.办事群众,管理员.管理员)枚举类
*
* @author zxfei
*/
public enum MsgRecipientsEnum {
    办事群众("办事群众", "办事群众"),
    管理员("管理员", "管理员");
    private String value;
    private String desc;

    MsgRecipientsEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static MsgRecipientsEnum getByValue(String value) {
        for (MsgRecipientsEnum msgRecipientsEnum : MsgRecipientsEnum.values()) {
            if (msgRecipientsEnum.getValue() == value) {
                return msgRecipientsEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (MsgRecipientsEnum item : MsgRecipientsEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}